%define name 	bookmarkbridge
%define version 0.76
%define release %mkrel 1

Summary:        Browser bookmark sharing utility
Name:           %{name}
Version:        %{version}
Release:        %{release}
Group:          Networking/WWW
License:        GPLv2+
URL:            http://www.bookmarkbridge.org/
Source0:        http://downloads.sourceforge.net/bookmarkbridge/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source1:	%{name}-16.png
Source2:	%{name}-32.png
Source3:	%{name}-48.png
BuildRequires:  qt4-devel 
BuildRequires:  libxml2-devel

%description
BookmarkBridge is a small, easy to use, multi-platform, GUI-based
utility that allows the user to share bookmarks between all their
browsers. The user runs it periodically to synchronize between the
browsers.


%prep
%setup -q
mkdir bin
ln -s %{_bindir}/moc-qt4 bin/moc
ln -s %{_bindir}/uic-qt4 bin/uic


%build
export PATH=$PWD/bin:$PATH
export CPPFLAGS="$(pkg-config --cflags-only-I QtCore)"
%configure2_5x
%make 

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std


# icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 %SOURCE1 %{buildroot}%_miconsdir/%{name}.png
install -m 0644 %SOURCE2 %{buildroot}%_iconsdir/%{name}.png
install -m 0644 %SOURCE3 %{buildroot}%_liconsdir/%{name}.png

# menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Type=Application
Encoding=UTF-8
Terminal=false
Name=BookmarkBridge
Comment=Allows you to share bookmarks between browsers.
Exec=%{name}
Icon=%{name}
Categories=Network;X-MandrivaLinux-Internet-Other;
EOF



rm -f $RPM_BUILD_ROOT%{_datadir}/bookmarkbridge/autodocs.pl


%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%_miconsdir/%{name}.png
%_iconsdir/%{name}.png
%_liconsdir/%{name}.png

%changelog
* Sat May 02 2009 slick50 <lxgator@gmail.com> 0.76-1pclos2009
- initial pkg

